<?php

namespace Ensi\LogisticClient;

class LogisticClientProvider
{
    /** @var string[] */
    public static $apis = [
        '\Ensi\LogisticClient\Api\GeosApi',
        '\Ensi\LogisticClient\Api\DeliveryOrdersApi',
        '\Ensi\LogisticClient\Api\DeliveryPricesApi',
        '\Ensi\LogisticClient\Api\CalculatorsApi',
        '\Ensi\LogisticClient\Api\KpiApi',
        '\Ensi\LogisticClient\Api\DeliveryServicesApi',
        '\Ensi\LogisticClient\Api\CargoOrdersApi',
    ];

    /** @var string[] */
    public static $dtos = [
        '\Ensi\LogisticClient\Dto\DeliveryOrderStatusMappingFillableProperties',
        '\Ensi\LogisticClient\Dto\DeliveryPriceFillableProperties',
        '\Ensi\LogisticClient\Dto\SearchDeliveryKpiPptResponse',
        '\Ensi\LogisticClient\Dto\CreateDeliveryServiceDocumentRequest',
        '\Ensi\LogisticClient\Dto\DeliveryServiceDocument',
        '\Ensi\LogisticClient\Dto\SearchDeliveryPricesRequest',
        '\Ensi\LogisticClient\Dto\DeliveryKpiPptResponse',
        '\Ensi\LogisticClient\Dto\SearchDeliveryOrderStatusMappingFilter',
        '\Ensi\LogisticClient\Dto\CalculationShipment',
        '\Ensi\LogisticClient\Dto\SearchPointsResponse',
        '\Ensi\LogisticClient\Dto\PatchDeliveryServiceManagerRequest',
        '\Ensi\LogisticClient\Dto\TariffFillableProperties',
        '\Ensi\LogisticClient\Dto\DeliveryMethodFillableProperties',
        '\Ensi\LogisticClient\Dto\SearchCargoRequest',
        '\Ensi\LogisticClient\Dto\DeliveryOrderPlace',
        '\Ensi\LogisticClient\Dto\CargoFillableProperties',
        '\Ensi\LogisticClient\Dto\ReplaceFederalDistrictRequest',
        '\Ensi\LogisticClient\Dto\ShipmentMethodFillableProperties',
        '\Ensi\LogisticClient\Dto\ResponseBodyOffsetPagination',
        '\Ensi\LogisticClient\Dto\CalculationStore',
        '\Ensi\LogisticClient\Dto\SearchDeliveryCitiesRequest',
        '\Ensi\LogisticClient\Dto\DeliveryKpiCtResponse',
        '\Ensi\LogisticClient\Dto\DeliveryOrderStatusEnum',
        '\Ensi\LogisticClient\Dto\CargoReadonlyProperties',
        '\Ensi\LogisticClient\Dto\SearchFederalDistrictsRequest',
        '\Ensi\LogisticClient\Dto\SearchRegionsResponse',
        '\Ensi\LogisticClient\Dto\DeliveryServiceFillableProperties',
        '\Ensi\LogisticClient\Dto\CreateFederalDistrictRequest',
        '\Ensi\LogisticClient\Dto\CreateDeliveryKpiPptRequest',
        '\Ensi\LogisticClient\Dto\MetroStationReadonlyProperties',
        '\Ensi\LogisticClient\Dto\DeliveryOrderResponse',
        '\Ensi\LogisticClient\Dto\SearchDeliveryOrdersResponse',
        '\Ensi\LogisticClient\Dto\PaginationTypeEnum',
        '\Ensi\LogisticClient\Dto\CalculationDelivery',
        '\Ensi\LogisticClient\Dto\SearchCargoOrdersRequest',
        '\Ensi\LogisticClient\Dto\CargoStatusEnum',
        '\Ensi\LogisticClient\Dto\AddPaymentMethodsToDeliveryServiceRequest',
        '\Ensi\LogisticClient\Dto\SearchDeliveryKpiCtFilter',
        '\Ensi\LogisticClient\Dto\DeliveryServiceReadonlyProperties',
        '\Ensi\LogisticClient\Dto\PointTypeEnum',
        '\Ensi\LogisticClient\Dto\ShipmentMethod',
        '\Ensi\LogisticClient\Dto\DeliveryKpiFillableProperties',
        '\Ensi\LogisticClient\Dto\ReplaceDeliveryServiceDocumentRequest',
        '\Ensi\LogisticClient\Dto\SearchTariffsResponse',
        '\Ensi\LogisticClient\Dto\MetroStation',
        '\Ensi\LogisticClient\Dto\DeliveryKpiCtFillableProperties',
        '\Ensi\LogisticClient\Dto\ReplaceDeliveryKpiRequest',
        '\Ensi\LogisticClient\Dto\SearchTariffsFilter',
        '\Ensi\LogisticClient\Dto\ErrorResponse2',
        '\Ensi\LogisticClient\Dto\RegionReadonlyProperties',
        '\Ensi\LogisticClient\Dto\DeliveryServiceDocumentIncludes',
        '\Ensi\LogisticClient\Dto\DeliveryServiceManagerResponse',
        '\Ensi\LogisticClient\Dto\PatchCargoRequest',
        '\Ensi\LogisticClient\Dto\RequestBodyOffsetPagination',
        '\Ensi\LogisticClient\Dto\ReplaceRegionRequest',
        '\Ensi\LogisticClient\Dto\DeliveryServiceManager',
        '\Ensi\LogisticClient\Dto\ReplaceDeliveryKpiPptRequest',
        '\Ensi\LogisticClient\Dto\DeliveryCityFillableProperties',
        '\Ensi\LogisticClient\Dto\DeliveryKpiPptFillableProperties',
        '\Ensi\LogisticClient\Dto\RegionFillableProperties',
        '\Ensi\LogisticClient\Dto\Cargo',
        '\Ensi\LogisticClient\Dto\MetroStationFillableProperties',
        '\Ensi\LogisticClient\Dto\FederalDistrictFillableProperties',
        '\Ensi\LogisticClient\Dto\DeliveryCityIncludes',
        '\Ensi\LogisticClient\Dto\DeliveryKpi',
        '\Ensi\LogisticClient\Dto\DeliveryOrderPlaceItemReadonlyProperties',
        '\Ensi\LogisticClient\Dto\DeliveryMethodEnum',
        '\Ensi\LogisticClient\Dto\PatchDeliveryKpiRequest',
        '\Ensi\LogisticClient\Dto\DeliveryServiceIncludes',
        '\Ensi\LogisticClient\Dto\SearchDeliveryServicesResponse',
        '\Ensi\LogisticClient\Dto\ErrorResponse',
        '\Ensi\LogisticClient\Dto\ShipmentMethodReadonlyProperties',
        '\Ensi\LogisticClient\Dto\CalculationStorePickupTime',
        '\Ensi\LogisticClient\Dto\CreateRegionRequest',
        '\Ensi\LogisticClient\Dto\PatchRegionRequest',
        '\Ensi\LogisticClient\Dto\MetroLineReadonlyProperties',
        '\Ensi\LogisticClient\Dto\DeliveryPriceIncludes',
        '\Ensi\LogisticClient\Dto\TariffReadonlyProperties',
        '\Ensi\LogisticClient\Dto\CargoOrdersReadonlyProperties',
        '\Ensi\LogisticClient\Dto\SearchCargoResponse',
        '\Ensi\LogisticClient\Dto\SearchDeliveryOrderStatusMappingResponse',
        '\Ensi\LogisticClient\Dto\MetroLine',
        '\Ensi\LogisticClient\Dto\DeliveryServiceManagerFillableProperties',
        '\Ensi\LogisticClient\Dto\RegionResponse',
        '\Ensi\LogisticClient\Dto\DeliveryServiceDocumentFillableProperties',
        '\Ensi\LogisticClient\Dto\FederalDistrictReadonlyProperties',
        '\Ensi\LogisticClient\Dto\CargoResponse',
        '\Ensi\LogisticClient\Dto\ResponseBodyPagination',
        '\Ensi\LogisticClient\Dto\CalculationAvailableDate',
        '\Ensi\LogisticClient\Dto\CalculationBasketItem',
        '\Ensi\LogisticClient\Dto\DeliveryServiceResponse',
        '\Ensi\LogisticClient\Dto\PointReadonlyProperties',
        '\Ensi\LogisticClient\Dto\DeliveryOrderIncludes',
        '\Ensi\LogisticClient\Dto\SearchDeliveryServiceManagersFilter',
        '\Ensi\LogisticClient\Dto\DeliveryOrderStatusMappingReadonlyProperties',
        '\Ensi\LogisticClient\Dto\DeliveryOrderPlaceItem',
        '\Ensi\LogisticClient\Dto\DeliveryOrder',
        '\Ensi\LogisticClient\Dto\DeliveryServiceDocumentReadonlyProperties',
        '\Ensi\LogisticClient\Dto\CargoShipmentLinkReadonlyProperties',
        '\Ensi\LogisticClient\Dto\SearchFederalDistrictsResponse',
        '\Ensi\LogisticClient\Dto\SearchDeliveryKpiPptFilter',
        '\Ensi\LogisticClient\Dto\ModelInterface',
        '\Ensi\LogisticClient\Dto\SearchDeliveryServiceDocumentsResponse',
        '\Ensi\LogisticClient\Dto\SearchRegionsRequest',
        '\Ensi\LogisticClient\Dto\CreateDeliveryKpiCtRequest',
        '\Ensi\LogisticClient\Dto\CalculateDeliveryResponse',
        '\Ensi\LogisticClient\Dto\CalculateDeliveryRequest',
        '\Ensi\LogisticClient\Dto\Address',
        '\Ensi\LogisticClient\Dto\RegionIncludes',
        '\Ensi\LogisticClient\Dto\DeliveryServiceDocumentResponse',
        '\Ensi\LogisticClient\Dto\FederalDistrict',
        '\Ensi\LogisticClient\Dto\PaginationTypeOffsetEnum',
        '\Ensi\LogisticClient\Dto\DeliveryServiceStatusReadonlyProperties',
        '\Ensi\LogisticClient\Dto\EmptyDataResponse',
        '\Ensi\LogisticClient\Dto\DeliveryPriceReadonlyProperties',
        '\Ensi\LogisticClient\Dto\GetDeliveryMethodsResponse',
        '\Ensi\LogisticClient\Dto\ShipmentMethodEnum',
        '\Ensi\LogisticClient\Dto\CreateDeliveryOrderStatusMappingRequest',
        '\Ensi\LogisticClient\Dto\ReplaceDeliveryServiceRequest',
        '\Ensi\LogisticClient\Dto\PatchDeliveryServiceRequest',
        '\Ensi\LogisticClient\Dto\SearchDeliveryPricesResponse',
        '\Ensi\LogisticClient\Dto\DeliveryKpiResponse',
        '\Ensi\LogisticClient\Dto\SearchTariffsRequest',
        '\Ensi\LogisticClient\Dto\RequestBodyPagination',
        '\Ensi\LogisticClient\Dto\FederalDistrictIncludes',
        '\Ensi\LogisticClient\Dto\MetroLineFillableProperties',
        '\Ensi\LogisticClient\Dto\DeliveryPrice',
        '\Ensi\LogisticClient\Dto\SearchDeliveryServicesFilter',
        '\Ensi\LogisticClient\Dto\SearchDeliveryServiceManagersRequest',
        '\Ensi\LogisticClient\Dto\DeliveryService',
        '\Ensi\LogisticClient\Dto\DeliveryOrderReadonlyProperties',
        '\Ensi\LogisticClient\Dto\DeletePaymentMethodFromDeliveryServiceRequest',
        '\Ensi\LogisticClient\Dto\DeliveryKpiCt',
        '\Ensi\LogisticClient\Dto\SearchDeliveryOrdersRequest',
        '\Ensi\LogisticClient\Dto\DeliveryPriceResponse',
        '\Ensi\LogisticClient\Dto\CalculateDeliveryResponseData',
        '\Ensi\LogisticClient\Dto\PointFillableProperties',
        '\Ensi\LogisticClient\Dto\SearchDeliveryKpiCtResponse',
        '\Ensi\LogisticClient\Dto\Region',
        '\Ensi\LogisticClient\Dto\CalculationShipmentItem',
        '\Ensi\LogisticClient\Dto\CalculationAvailableTime',
        '\Ensi\LogisticClient\Dto\DeliveryServiceStatus',
        '\Ensi\LogisticClient\Dto\CalculationDeliveryMethod',
        '\Ensi\LogisticClient\Dto\CityReadonlyProperties',
        '\Ensi\LogisticClient\Dto\DeliveryKpiPpt',
        '\Ensi\LogisticClient\Dto\ReplaceDeliveryServiceManagerRequest',
        '\Ensi\LogisticClient\Dto\CreateDeliveryServiceManagerRequest',
        '\Ensi\LogisticClient\Dto\PatchDeliveryServiceDocumentRequest',
        '\Ensi\LogisticClient\Dto\DeliveryCity',
        '\Ensi\LogisticClient\Dto\GetDeliveryServiceStatusesResponse',
        '\Ensi\LogisticClient\Dto\SearchCargoOrdersFilter',
        '\Ensi\LogisticClient\Dto\SearchDeliveryPricesFilter',
        '\Ensi\LogisticClient\Dto\SearchDeliveryKpiPptRequest',
        '\Ensi\LogisticClient\Dto\DeliveryServiceStatusEnum',
        '\Ensi\LogisticClient\Dto\PatchDeliveryPriceRequest',
        '\Ensi\LogisticClient\Dto\SearchDeliveryServiceDocumentsRequest',
        '\Ensi\LogisticClient\Dto\CargoOrdersIncludes',
        '\Ensi\LogisticClient\Dto\CargoShipmentLink',
        '\Ensi\LogisticClient\Dto\DeliveryOrderStatusMapping',
        '\Ensi\LogisticClient\Dto\DeliveryServiceEnum',
        '\Ensi\LogisticClient\Dto\ReplaceDeliveryOrderStatusMappingRequest',
        '\Ensi\LogisticClient\Dto\SearchFederalDistrictsFilter',
        '\Ensi\LogisticClient\Dto\CargoOrdersFillableProperties',
        '\Ensi\LogisticClient\Dto\DeliveryMethodReadonlyProperties',
        '\Ensi\LogisticClient\Dto\DeliveryOrderPlaceReadonlyProperties',
        '\Ensi\LogisticClient\Dto\CreateDeliveryPriceRequest',
        '\Ensi\LogisticClient\Dto\SearchDeliveryOrderStatusMappingRequest',
        '\Ensi\LogisticClient\Dto\SearchPointsRequest',
        '\Ensi\LogisticClient\Dto\SearchCargoOrdersResponse',
        '\Ensi\LogisticClient\Dto\CargoOrders',
        '\Ensi\LogisticClient\Dto\SearchDeliveryKpiCtRequest',
        '\Ensi\LogisticClient\Dto\SearchDeliveryServicesRequest',
        '\Ensi\LogisticClient\Dto\DeliveryServiceManagerIncludes',
        '\Ensi\LogisticClient\Dto\MetroStationIncludes',
        '\Ensi\LogisticClient\Dto\SearchCargoOrdersResponseMeta',
        '\Ensi\LogisticClient\Dto\PointIncludes',
        '\Ensi\LogisticClient\Dto\CalculationStoreWorking',
        '\Ensi\LogisticClient\Dto\DeliveryServiceStatusFillableProperties',
        '\Ensi\LogisticClient\Dto\SearchDeliveryCitiesFilter',
        '\Ensi\LogisticClient\Dto\PatchFederalDistrictRequest',
        '\Ensi\LogisticClient\Dto\SearchCargoFilter',
        '\Ensi\LogisticClient\Dto\CityFillableProperties',
        '\Ensi\LogisticClient\Dto\SearchDeliveryServiceDocumentsFilter',
        '\Ensi\LogisticClient\Dto\DeliveryServiceManagerReadonlyProperties',
        '\Ensi\LogisticClient\Dto\CargoIncludes',
        '\Ensi\LogisticClient\Dto\SearchRegionsFilter',
        '\Ensi\LogisticClient\Dto\CargoOrdersResponse',
        '\Ensi\LogisticClient\Dto\CalculationTariff',
        '\Ensi\LogisticClient\Dto\SearchDeliveryServiceManagersResponse',
        '\Ensi\LogisticClient\Dto\DeliveryMethod',
        '\Ensi\LogisticClient\Dto\MultipartFileUploadRequest',
        '\Ensi\LogisticClient\Dto\DeliveryKpiCtReadonlyProperties',
        '\Ensi\LogisticClient\Dto\File',
        '\Ensi\LogisticClient\Dto\DeliveryOrderPlaceIncludes',
        '\Ensi\LogisticClient\Dto\ReplaceDeliveryPriceRequest',
        '\Ensi\LogisticClient\Dto\FederalDistrictResponse',
        '\Ensi\LogisticClient\Dto\DeliveryKpiReadonlyProperties',
        '\Ensi\LogisticClient\Dto\Tariff',
        '\Ensi\LogisticClient\Dto\SearchDeliveryOrdersFilter',
        '\Ensi\LogisticClient\Dto\Error',
        '\Ensi\LogisticClient\Dto\PaginationTypeCursorEnum',
        '\Ensi\LogisticClient\Dto\DeliveryOrderStatusMappingResponse',
        '\Ensi\LogisticClient\Dto\CargoOrderStatusEnum',
        '\Ensi\LogisticClient\Dto\DeliveryKpiPptReadonlyProperties',
        '\Ensi\LogisticClient\Dto\RequestBodyCursorPagination',
        '\Ensi\LogisticClient\Dto\SearchPointsFilter',
        '\Ensi\LogisticClient\Dto\DeliveryCityReadonlyProperties',
        '\Ensi\LogisticClient\Dto\ResponseBodyCursorPagination',
        '\Ensi\LogisticClient\Dto\GetShipmentMethodsResponse',
        '\Ensi\LogisticClient\Dto\SearchDeliveryCitiesResponse',
        '\Ensi\LogisticClient\Dto\City',
        '\Ensi\LogisticClient\Dto\Point',
        '\Ensi\LogisticClient\Dto\BasketItem',
        '\Ensi\LogisticClient\Dto\ReplaceDeliveryKpiCtRequest',
    ];

    /** @var string */
    public static $configuration = '\Ensi\LogisticClient\Configuration';
}
